package cn.ezhizao.project.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.domain.BizCompanyMaterial;

/**
 * 客户物料Mapper接口
 *
 * @author ezhizao
 * @date 2025-05-27
 */
public interface BizCompanyMaterialMapper extends BaseMapper<BizCompanyMaterial>
{
    /**
     * 查询客户物料列表
     *
     * @param bizCompanyMaterial 客户物料
     * @return 客户物料集合
     */
    public List<BizCompanyMaterial> getList(BizCompanyMaterial bizCompanyMaterial);

    /**
     * 物理删除
     * @param bizCompanyMaterial
     * @return 删除结果
    */
    public int physicalDelete(BizCompanyMaterial bizCompanyMaterial);
}
