package cn.ezhizao.project.business.service;

import cn.ezhizao.project.business.domain.BizCertificate;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 合格证Service接口
 *
 * @author ezhizao
 * @date 2024-09-02
 */
public interface IBizCertificateService extends IService<BizCertificate>
{
    /**
     * 查询合格证列表
     *
     * @param bizCertificate 合格证
     * @return 合格证集合
     */
    public List<BizCertificate> getList(BizCertificate bizCertificate);

    /**
     * 物理删除
     * @param bizCertificate
     * @return 删除结果
     */
    public int physicalDelete(BizCertificate bizCertificate);

}
