package cn.ezhizao.project.business.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.domain.BizCompanyMaterial;

/**
 * 客户物料Service接口
 *
 * @author ezhizao
 * @date 2025-05-27
 */
public interface IBizCompanyMaterialService extends IService<BizCompanyMaterial>
{
    /**
     * 查询客户物料列表
     *
     * @param bizCompanyMaterial 客户物料
     * @return 客户物料集合
     */
    public List<BizCompanyMaterial> getList(BizCompanyMaterial bizCompanyMaterial);

    /**
     * 物理删除
     * @param bizCompanyMaterial
     * @return 删除结果
     */
    public int physicalDelete(BizCompanyMaterial bizCompanyMaterial);

}
