package cn.ezhizao.project.business.mapper;

import cn.ezhizao.project.business.domain.BizInboundOrderDetail;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * 生产入库明细Mapper接口
 *
 * @author ezhizao
 * @date 2025-05-20
 */
public interface BizInboundOrderDetailMapper extends BaseMapper<BizInboundOrderDetail>
{
    /**
     * 查询生产入库明细列表
     *
     * @param bizInboundOrderDetail 生产入库明细
     * @return 生产入库明细集合
     */
    public List<BizInboundOrderDetail> getList(BizInboundOrderDetail bizInboundOrderDetail);

    /**
     * 物理删除
     * @param bizInboundOrderDetail
     * @return 删除结果
    */
    public int physicalDelete(BizInboundOrderDetail bizInboundOrderDetail);
}
